/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ResourceTypeInformationDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ResourceTypeInformationDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ResourceTypeInformationDto
        //private ResourceTypeInformationDto instance;

        public ResourceTypeInformationDtoTests()
        {
            // TODO uncomment below to create an instance of ResourceTypeInformationDto
            //instance = new ResourceTypeInformationDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ResourceTypeInformationDto
        /// </summary>
        [Fact]
        public void ResourceTypeInformationDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ResourceTypeInformationDto
            //Assert.IsType<ResourceTypeInformationDto>(instance);
        }

        /// <summary>
        /// Test the property 'Id'
        /// </summary>
        [Fact]
        public void IdTest()
        {
            // TODO unit test for the property 'Id'
        }

        /// <summary>
        /// Test the property 'GeneralType'
        /// </summary>
        [Fact]
        public void GeneralTypeTest()
        {
            // TODO unit test for the property 'GeneralType'
        }

        /// <summary>
        /// Test the property 'SpecificType'
        /// </summary>
        [Fact]
        public void SpecificTypeTest()
        {
            // TODO unit test for the property 'SpecificType'
        }

        /// <summary>
        /// Test the property 'Status'
        /// </summary>
        [Fact]
        public void StatusTest()
        {
            // TODO unit test for the property 'Status'
        }

        /// <summary>
        /// Test the property 'CanCreate'
        /// </summary>
        [Fact]
        public void CanCreateTest()
        {
            // TODO unit test for the property 'CanCreate'
        }

        /// <summary>
        /// Test the property 'CanRead'
        /// </summary>
        [Fact]
        public void CanReadTest()
        {
            // TODO unit test for the property 'CanRead'
        }

        /// <summary>
        /// Test the property 'CanSetResourceReadonly'
        /// </summary>
        [Fact]
        public void CanSetResourceReadonlyTest()
        {
            // TODO unit test for the property 'CanSetResourceReadonly'
        }

        /// <summary>
        /// Test the property 'CanUpdate'
        /// </summary>
        [Fact]
        public void CanUpdateTest()
        {
            // TODO unit test for the property 'CanUpdate'
        }

        /// <summary>
        /// Test the property 'CanUpdateResource'
        /// </summary>
        [Fact]
        public void CanUpdateResourceTest()
        {
            // TODO unit test for the property 'CanUpdateResource'
        }

        /// <summary>
        /// Test the property 'CanDelete'
        /// </summary>
        [Fact]
        public void CanDeleteTest()
        {
            // TODO unit test for the property 'CanDelete'
        }

        /// <summary>
        /// Test the property 'CanDeleteResource'
        /// </summary>
        [Fact]
        public void CanDeleteResourceTest()
        {
            // TODO unit test for the property 'CanDeleteResource'
        }

        /// <summary>
        /// Test the property 'CanList'
        /// </summary>
        [Fact]
        public void CanListTest()
        {
            // TODO unit test for the property 'CanList'
        }

        /// <summary>
        /// Test the property 'CanCreateLinks'
        /// </summary>
        [Fact]
        public void CanCreateLinksTest()
        {
            // TODO unit test for the property 'CanCreateLinks'
        }

        /// <summary>
        /// Test the property 'CanCopyLocalMetadata'
        /// </summary>
        [Fact]
        public void CanCopyLocalMetadataTest()
        {
            // TODO unit test for the property 'CanCopyLocalMetadata'
        }

        /// <summary>
        /// Test the property 'IsArchived'
        /// </summary>
        [Fact]
        public void IsArchivedTest()
        {
            // TODO unit test for the property 'IsArchived'
        }

        /// <summary>
        /// Test the property 'IsQuotaAvailable'
        /// </summary>
        [Fact]
        public void IsQuotaAvailableTest()
        {
            // TODO unit test for the property 'IsQuotaAvailable'
        }

        /// <summary>
        /// Test the property 'IsQuotaAdjustable'
        /// </summary>
        [Fact]
        public void IsQuotaAdjustableTest()
        {
            // TODO unit test for the property 'IsQuotaAdjustable'
        }

        /// <summary>
        /// Test the property 'IsEnabled'
        /// </summary>
        [Fact]
        public void IsEnabledTest()
        {
            // TODO unit test for the property 'IsEnabled'
        }

        /// <summary>
        /// Test the property 'ResourceCreation'
        /// </summary>
        [Fact]
        public void ResourceCreationTest()
        {
            // TODO unit test for the property 'ResourceCreation'
        }

        /// <summary>
        /// Test the property 'ResourceContent'
        /// </summary>
        [Fact]
        public void ResourceContentTest()
        {
            // TODO unit test for the property 'ResourceContent'
        }
    }
}
